Request Network Information
Retrieves network information identified by network ID, requires use of API key and sessionId (Header: X-Casambi-Key, X-Casambi-Session). Note that if unit (item of units list) is part of a group (groupId > 0) it will have position value of 0 as the actual position within the group will be found in related group information. See groups list of network data to find the actual position info of the group and its units.
HTTP Request:
GET https://door.casambi.com/v1/networks/{id}
Path Parameters:
id: "networkId"
CURL Example:
curl "https://door.casambi.com/v1/networks/NETWORK-ID-HERE" \
-H "X-Casambi-Session:SESSION-ID-HERE" \
-H "X-Casambi-Key:API-KEY-HERE"
Response Example
{
"id": "VcrTwqLZJ26UYMXxTClmpfZxELcrPUAa",
"name": "Demo Room",
"revision": 125,
"grade": "EVOLUTION",
"address": "b02ef7956bcc",
"gateway": {
"name": "Demo iPad"
},
"type": "OPEN",
"timezone": "Europe/Helsinki",
"photos": [
{
"name": "Photo",
"controls": [],
"image": "iR4aIP3vXcB348Pijif2d4Y7AnowFbdD",
"position": 0
},
{
"name": "Photo",
"controls": [],
"image": "KLejfitLiEFeiUnhak6ID69VzJhvWYER",
"position": 1
}
],
"units": {
"12": {
"id": 12,
"address": "80dfc3a5e41d",
"name": "CBM #5656",
"position": 0,
"fixtureId": 5656,
"firmwareVersion": "32.10",
"groupId": 3,
"labels": {},
"type": "Luminaire"
},
"15": {
"id": 15,
"address": "b3e63c069abc",
"name": "aBc (PIR)",
"position": 3,
"fixtureId": 1202,
"firmwareVersion": "32.10",
"groupId": 0,
"labels": {},
"type": "Sensor"
},
"18": {
"id": 18,
"address": "a01e6079c30f",
"name": "TestZXY",
"image": "7Fw3whiOxsfuE6GTR6utJl8OEAPkOd3",
"position": 4,
"fixtureId": 5124,
"firmwareVersion": "32.10",
"groupId": 0,
"labels": {},
"type": "Luminaire"
}
},
"scenes": {
"1": {
"name": "Timer",
"id": 1,
"position": 0,
"icon": 0,
"color": "#FFFFFF",
"type": "REGULAR",
"hidden": false,
"units": {
"12": {
"id": 12
}
}
},
"4": {
"name": "Presence",
"id": 2,
"position": 1,
"icon": 0,
"color": "#06FF29",
"type": "REGULAR",
"hidden": false,
"units": {
"18": {
"id": 18
}
}
}
},
"groups": {
"3": {
"id": 3,
"name": "Demo Group",
"position": 2,
"units": [
{
"0": 12,
"position": 0
}
]
}
}
}